WriterOutputHandler (BioJava-1.5-beta API)
Keywords: org.biojava.utils.process.WriterOutputHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.process
Class WriterOutputHandler

    java.lang.Object
      org.biojava.utils.process.ReaderWriterPipe
          org.biojava.utils.process.WriterOutputHandler

All Implemented Interfaces:
  Runnable, OutputHandler

    public class WriterOutputHandler

extends ReaderWriterPipe
implements OutputHandler

Simple output handler that writes the output of an external process to an writer.

Version:
  $Revision: 1.1 $
Author:
  Martin Szugat

Constructor Summary
`WriterOutputHandler(Writer writer, String tag)` Initializes the writer output handler.

Method Summary
`InputStream` | `getInput()` Gets the input stream.
`void` | `setInput(InputStream input)` Sets the input stream.

Methods inherited from class org.biojava.utils.process.ReaderWriterPipe
`getReader, getWriter, run, setReader, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### WriterOutputHandler

    public WriterOutputHandler(Writer writer,
                               String tag)

  Initializes the writer output handler.

  Parameters:
    `writer` - the writer to which to write the output of the external process. May be `null`.
    `tag` - a tag for logging. May be `null`.

Method Detail

### setInput

    public void setInput(InputStream input)

  Sets the input stream. The output of the external process is written to this input stream.

  Specified by:
    `setInput` in interface `OutputHandler`
  Parameters:
    `input` - the input stream. May be `null`.

### getInput

    public InputStream getInput()

  Gets the input stream. The output of the external process is written to this input stream.

  Specified by:
    `getInput` in interface `OutputHandler`
  Returns:
    the input stream. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD